# class Devise::Encryptors::ClearanceSha1

# ClearanceSha1

Simulates Clearance’s default encryption mechanism. Warning: it uses Devise’s pepper to port the concept of REST_AUTH_SITE_KEY Warning: it uses Devise’s stretches configuration to port the concept of REST_AUTH_DIGEST_STRETCHES

### Public Class Methods

digest(password, stretches, salt, pepper) click to toggle source

Generates a default password digest based on salt, pepper and the incoming password.

    # File lib/devise/encryptors/clearance_sha1.rb, line 12
    def self.digest(password, stretches, salt, pepper)
      Digest::SHA1.hexdigest("--#{salt}--#{password}--")
    end